Subject: tunneled Diffserv treatment for PHP

From: "Adukuri, Pavan Kumar (Pavan)" <[email-masked]>
Date: Thu, 3 Nov 2005 16:15:41 +0530

I would like to know how the L3 VPN IP packet gets the Qos treatment in case
of PHP where the outer label is popped at the penultimate node.
How does the LER node decide on the Qos treatment given to the packet at
Egress Node? 

This can be achieved if we have 

1.  exp bits & TTL are copied into Inner label?

2. outer label's exp-phb mappings/Qos are available in the inner label entry
of ILM table so that we can apply the Qos treatment based on inner label's
configuration in the ILM?

Is this a standard way of giving Qos treatment to L3VPN packets?

Pavan